"""Present karma data."""

import logging

from django.shortcuts import get_object_or_404, render

from karma.models import KarmaKey

log = logging.getLogger('karma.views')


def key_detail(request, karma_key):
    """Display the requested karma key."""

    entry = get_object_or_404(KarmaKey, key=karma_key)

    return render(request, 'karma/karma_key.html', {'entry': entry})
